#!/bin/sh
#   Copyright (c) 2010 digitalSTROM.org, Zurich, Switzerland
#
#   Author: Sergey 'Jin' Bostandzhyan <jin@mediatomb.cc>
#
#   This file is part of digitalSTROM Server.
#
#   netinfo.sh is free software: you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   netinfo.sh is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this file. If not, see <http://www.gnu.org/licenses/>.

# source common functions
. ./errlib.sh
. ./jsonlib.sh


echo "Content-Type: application/json"
echo ""

print_zones() {
    COMMA=""
    echo -n "zonelist: [ "
    if [[ ! -d /usr/share/zoneinfo/ ]]; then
	echo -n " ] " 
    	return $ERR_NOZONE
    fi

    for line in `find /usr/share/zoneinfo/ -type f | egrep -v '\.tab' | sort `; 
        do 
            ZONE="${line:20}"

            if [[ "$ZONE" == "" ]]; then
                continue
            fi
            
            echo -n "$COMMA{ \"zone\": \"$ZONE\" }"
            COMMA=", " 
	done
    echo -n " ] "

    return $ERR_OK
}

# dateinfo script never fails

echo -n "{ \"success\": true, \"message\": \"OK\", \"data\": { "
print_zones
echo " } }"
